<?php

/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: setup.php
| Author: Hessan Adnani (ProZillaZ)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "maincore.php";

require_once THEMES."templates/header.php";

if (!iADMIN) { redirect("index.php"); }

if ($_POST['install']) {

	$result = dbquery("DROP TABLE IF EXISTS ".DB_ADMINVISIT."");

	$result = dbquery("CREATE TABLE ".DB_ADMINVISIT." (
		visit_id mediumint(8) unsigned NOT NULL auto_increment,
		visit_admin mediumint(8) unsigned NOT NULL default '0',
		visit_time int(10) unsigned NOT NULL default '0',
		visit_link varchar(100) NOT NULL,
		PRIMARY KEY (visit_id)
		) ENGINE=MYISAM;");

	$result = dbquery("DROP TABLE IF EXISTS ".DB_ADMINPANELS."");

	$result = dbquery("CREATE TABLE ".DB_ADMINPANELS." (
		panel_id mediumint(8) unsigned NOT NULL auto_increment,
		panel_name varchar(255) NOT NULL,
		panel_order int(2) unsigned NOT NULL,
		panel_side int(2) unsigned NOT NULL,
		panel_file varchar(255) NOT NULL,
		panel_display tinyint(1) unsigned NOT NULL default '0',
		PRIMARY KEY (panel_id)
		) ENGINE=MYISAM;");

	$result = dbquery("INSERT INTO ".DB_ADMINPANELS." (panel_id, panel_name, panel_order, panel_side, panel_file, panel_display) VALUES ('1', 'Admin Forums', '1', '1', 'proforum.php', '1')");
	$result = dbquery("INSERT INTO ".DB_ADMINPANELS." (panel_id, panel_name, panel_order, panel_side, panel_file, panel_display) VALUES ('2', 'Admin Members', '2', '1', 'promembers.php', '1')");
	$result = dbquery("INSERT INTO ".DB_ADMINPANELS." (panel_id, panel_name, panel_order, panel_side, panel_file, panel_display) VALUES ('3', 'Admin Messages', '3', '1', 'promessages.php', '1')");
	$result = dbquery("INSERT INTO ".DB_ADMINPANELS." (panel_id, panel_name, panel_order, panel_side, panel_file, panel_display) VALUES ('4', 'Admin Comments', '1', '2', 'procomment.php', '1')");
	$result = dbquery("INSERT INTO ".DB_ADMINPANELS." (panel_id, panel_name, panel_order, panel_side, panel_file, panel_display) VALUES ('5', 'Admin Submissions', '2', '2', 'prosubmission.php', '1')");
	$result = dbquery("INSERT INTO ".DB_ADMINPANELS." (panel_id, panel_name, panel_order, panel_side, panel_file, panel_display) VALUES ('6', 'Last Visit', '1', '3', 'provisit.php', '1')");
	$result = dbquery("INSERT INTO ".DB_ADMINPANELS." (panel_id, panel_name, panel_order, panel_side, panel_file, panel_display) VALUES ('7', 'Side Profile', '2', '3', 'proprofile.php', '1')");
	$result = dbquery("INSERT INTO ".DB_ADMINPANELS." (panel_id, panel_name, panel_order, panel_side, panel_file, panel_display) VALUES ('8', 'Navigation', '3', '3', 'pronavigation.php', '1')");
	$result = dbquery("INSERT INTO ".DB_ADMINPANELS." (panel_id, panel_name, panel_order, panel_side, panel_file, panel_display) VALUES ('9', 'Admin Information', '4', '3', 'proinfo.php', '1')");

	$result = dbquery("CREATE TABLE ".DB_ADMINOPTIONS." (
		option_name varchar(200) NOT NULL,
		option_value text NOT NULL
		) ENGINE=MYISAM;");

	$result = dbquery("INSERT INTO ".DB_ADMINOPTIONS." (option_name, option_value) VALUES ('admin_style', 'modern')");

	$result = dbquery("INSERT INTO ".DB_ADMIN." (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('AO', 'admin_option.gif', 'Administrator Options', 'proadmin/prooptions.php', '4')");

	if (!$result) { redirect(FUSION_SELF."?status=fail"); } else { redirect(FUSION_SELF."?status=success"); }

}

if (isset($_GET['status']) &&  $_GET['status'] == "success") {

	opentable('PHP-Fusion Admin Pro Beta Successfully Setup!');

		echo '<div style="width:100%;font-weight: bold; color: green" align="center">';

		echo '<br />Congratulations! PHP-Fusion Admin Pro Beta v1.01 is successfully installed on your system. Check your admin panel to check if everything is working well!<br /><br />';

		echo '</div>';

	closetable();

} elseif (isset($_GET['status']) &&  $_GET['status'] == "fail") {

	opentable('PHP-Fusion Admin Pro Beta Failed Setup!');

		echo '<div style="width:100%;font-weight: bold; color: red" align="center">';

		echo '<br />Ops! There was and error during your installation. Please check the Admin Pro installation notes to see if you didn\'t miss anything. If you can\'t find the problem please refer back to the source that you downloaded Admin Pro. Thank you!<br /><br />';

		echo '</div>';

	closetable();

} else {

	opentable('PHP-Fusion Admin Pro Beta v1.01 Setup');
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td align='center'><br /><img src=''.THEMES.'templates/images/admin/top-logo.png' alt='PHP-Fusion Admin Pro' /></td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<br /><br />\n";
	
	echo "<form name='setupform' method='post' action='setup.php'>\n";
	echo "<table align='center' cellpadding='0' cellspacing='1' width='450' class='tbl-border'>\n<tr>\n";
	echo "<td class='tbl2' align='center'><strong>Click on the following button to begin installation</strong></td>\n</tr>\n";
	echo "<tr>\n<td class='tbl2' style='text-align:center'>\n";
	echo "<input type='submit' name='install' value='Install PHP Fusion Admin Pro' class='button' />\n";
	echo "</td></tr></table>";
	
	closetable();

}

require_once THEMES."templates/footer.php";
?>